﻿/* ============================================================
* Author:       liubingsheng
* Time:         2016/11/29 14:52:25
* FileName:     RedisSystem
* Purpose:      Redis
* =============================================================*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Utility
{
    /// <summary>
    /// HashSet扩展
    /// </summary>
    public static class HashSetExtension
    {
        /// <summary>
        /// 增加多个数据
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="lstValues"></param>
        public static HashSet<T> AddRange<T>(this HashSet<T> selfSet, IEnumerable<T> collection)
        {
            foreach (var item in collection)
            {
                selfSet.Add(item);
            }

            return selfSet;
        }
    }
}
